Bug 517931

Summary: trying to install gdm pulls kdebase packages
Product: [Fedora] Fedora Reporter: Hicham HAOUARI <hicham.haouari>
Component: gdmAssignee: jmccann
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: cschalle, jmccann, mclasen, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-02 02:42:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Hicham HAOUARI 2009-08-17 23:46:16 UTC
Description of problem:
After downloading and installing Fedora rawhide from boot.iso (2009-08-18), trying to install gdm pulls some kde packages.

Version-Release number of selected component (if applicable):
1:2.27.4-4.fc12

How reproducible:
Always

Steps to Reproduce:
1. install a fresh rawhide from boot.iso (20090818)
2. yum install gdm | grep kde
3. observe the pulled kdebase packages as dependencies
  
Actual results:
pulled kdebase packages as dependencies

Expected results:
no kde package should be required by gdm

Comment 1 Bug Zapper 2009-11-16 11:31:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Matthias Clasen 2009-12-02 02:42:09 UTC
I somehow doubt that there can be a dependency chain leading from gdm to kdebase, considering that we have gdm on the live cd, but not kdebase.
Please reopen if you can show a dependency chain.

Comment 3 Hicham HAOUARI 2009-12-02 03:22:46 UTC
Hi Matthias,

I filed this pre Fedora 12 Alpha, and the root cause was that gdm depends on policykit, and for a reason polkit-kde was pulled instead of polkit-gnome.
That was the reason given to me at the time.

Comment 4 Matthias Clasen 2009-12-02 04:35:44 UTC
I think at that time, gdm was requiring some abstract provides, like polkit-session-agent or so, which was provided by both polkit-gnome and polkit-kde.

Nowadays, gdm requires polkit-gnome, so I think this should not be an issue anymore.